using System;

internal sealed class Delegate99 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate99 delegate99_1)
	{
		return delegate99_1(object_0);
	}

	public extern Delegate99(object object_0, IntPtr intptr_0);

	static Delegate99()
	{
		Class10.smethod_13(typeof(Delegate99).TypeHandle);
	}

	internal static Delegate99 delegate99_0;
}
